[Overview][Constants][Types][Procedures and functions][Variables][Index] | Reference for unit 'go32' (#rtl)

# free_ldt_descriptor

Free a descriptor

## Declaration

Source position: go32.pp line 89

`function free_ldt_descriptor(`
`d: Word`
`):Boolean;`

## Description

Frees a previously allocated descriptor.

Parameters:

des
  The descriptor to be freed.

Return value: True if successful, False otherwise. Notes: After this call this selector is invalid and must not be used for any memory operations anymore. Each descriptor allocated with allocate_ldt_descriptors must be freed individually with this function, even if it was previously allocated as a part of a contiguous array of descriptors.

For an example, see allocate_ldt_descriptors.

## Errors

Check the int31error variable.

## See also

allocate_ldt_descriptors |  | Allocate a number of descriptors
get_next_selector_increment_value |  | Return selector increment value